### Enumeration

# GLib NormalizeMode

#### Declaration

    enum GLib.NormalizeMode

#### Description [src]

Defines how a Unicode string is transformed in a canonical form, standardizing such issues as whether a character with an accent is represented as a base character and combining accent or as a single precomposed character. Unicode strings should generally be normalized before comparing them.

#### Members

`G_NORMALIZE_DEFAULT`

  Standardize differences that do not affect the text content, such as the above-mentioned accent representation.

  - Value: `0`
  - Available since: 2.0
`G_NORMALIZE_NFD`

  Another name for `G_NORMALIZE_DEFAULT`.

  - Value: `0`
  - Available since: 2.0
`G_NORMALIZE_DEFAULT_COMPOSE`

  Like `G_NORMALIZE_DEFAULT`, but with composed forms rather than a maximally decomposed form.

  - Value: `1`
  - Available since: 2.0
`G_NORMALIZE_NFC`

  Another name for `G_NORMALIZE_DEFAULT_COMPOSE`.

  - Value: `1`
  - Available since: 2.0
`G_NORMALIZE_ALL`

  Beyond `G_NORMALIZE_DEFAULT` also standardize the “compatibility” characters in Unicode, such as SUPERSCRIPT THREE to the standard forms (in this case DIGIT THREE). Formatting information may be lost but for most text operations such characters should be considered the same.

  - Value: `2`
  - Available since: 2.0
`G_NORMALIZE_NFKD`

  Another name for `G_NORMALIZE_ALL`.

  - Value: `2`
  - Available since: 2.0
`G_NORMALIZE_ALL_COMPOSE`

  Like `G_NORMALIZE_ALL`, but with composed forms rather than a maximally decomposed form.

  - Value: `3`
  - Available since: 2.0
`G_NORMALIZE_NFKC`

  Another name for `G_NORMALIZE_ALL_COMPOSE`.

  - Value: `3`
  - Available since: 2.0